#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Params
%define	pnam	Util
Summary:	Params::Util - Simple standalone param-checking functions
Summary(pl.UTF-8):	Params::Util - proste samodzielne funkcje do sprawdzania parametrów
Name:		perl-Params-Util
Version:	1.07
Release:	9
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Params/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	02db120c0eef87aae1830cc62bdec37b
URL:		http://search.cpan.org/dist/Params-Util/
BuildRequires:	perl-ExtUtils-CBuilder >= 0.27
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.52
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.80
BuildRequires:	perl(Scalar::Util) >= 1.18
BuildRequires:	perl-Test-Simple >= 0.42
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Params::Util provides a basic set of importable functions that makes
checking parameters a hell of a lot easier.

The functions provided by Params::Util check in the most strictly
correct manner, and in should not be fooled by odd cases.

%description -l pl.UTF-8
Params::Util udostępnia podstawowy zestaw importowalnych funkcji
znacznie ułatwiających sprawdzanie parametrów.

Funkcje dostarczane przez Params::Util sprawdzają poprawność w
najbardziej ścisły sposób i nie powinny dać się ogłupić przez
nietypowe przypadki.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Params/Util.pm
%attr(755,root,root) %{perl_vendorarch}/auto/Params/Util/Util.so
%{_mandir}/man3/Params::Util.3pm*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Params-Util.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f6cecda
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7f3a6da
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 315925c
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 92373cf
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> f974436
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ec6cab3
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> baf3fdd
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e996601
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8213d35
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 652565d
- updated to 1.07

* Wed Jan 18 2012 zbyniu <zbyniu@pld-linux.org> 8d8e9fd
- up to 1.04

* Sun Feb 20 2011 Jakub Bogusz <qboosh@pld-linux.org> ca5f1ff
- updated to 1.03

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 9eb9f7a
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e43a5a
- release 3

* Fri Jul 03 2009 hawk <hawk@pld-linux.org> 2c1d691
- no longer noarch

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> aca17ad
- updated to 1.00

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> a576799
- up to 0.31

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 78ebaa2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 56e148d
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 8fd4965
- updated to 0.22

